      SUBROUTINE ARRAYINIT(iarray,nstart,nend)

C    ARRAYINIT INITIALIZES ALL ELEMENTS IN A ONE DIMENSIONAL
C    INTEGER ARRAY TO ZERO

      dimension iarray(nstart:nend)

      do 50 n=nstart,nend
50     iarray(n)=0

      return
      end
